KNS::UploadDialog Class Reference

`#include <uploaddialog.h>`

Inherits KDialogBase.

## Public Member Functions

| UploadDialog (Engine *engine, QWidget *parent)
| ~UploadDialog ()
void | setPreviewFile (const QString &previewFile)
void | setPayloadFile (const QString &payloadFile)

## Protected Slots

void | slotOk ()

## Detailed Description

KNewStuff file upload dialog.

Using this dialog, data can easily be uploaded to the Hotstuff servers. It should however not be used on its own, instead a KNewStuff (or KNewStuffGeneric) object invokes it.

Author
  Cornelius Schumacher (schum.nosp@m.ache.nosp@m.r@kde.nosp@m..org)

Maintainer:
  Josef Spillner (spill.nosp@m.ner@.nosp@m.kde.o.nosp@m.rg)

Definition at line 47 of file uploaddialog.h.

## Constructor & Destructor Documentation

UploadDialog::UploadDialog | ( | Engine * | engine,
|  | QWidget * | parent
| ) |  |

Constructor.

Parameters

  engine | a KNewStuff engine object to be used for uploads
  parent | the parent window

Definition at line 46 of file uploaddialog.cpp.

UploadDialog::~UploadDialog | ( |  | ) |

Destructor.

Definition at line 113 of file uploaddialog.cpp.

## Member Function Documentation

void UploadDialog::setPayloadFile | ( | const QString & | payloadFile | ) |

Sets the payload filename.

This is optional, but necessary if the application wants to support reusing previously filled out form data based on the filename.

Parameters

  payloadFile | the payload data file

Definition at line 163 of file uploaddialog.cpp.

void UploadDialog::setPreviewFile | ( | const QString & | previewFile | ) |

Sets the preview filename.

This is only meaningful if the application supports previews.

Parameters

  previewFile | the preview image file

Definition at line 158 of file uploaddialog.cpp.

The documentation for this class was generated from the following files:

- uploaddialog.h
- uploaddialog.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys